function W = Im_Bessel_W(x1,y1,x2,y2,xi,m,sigma)
%
%
%
%
%

rho1 = sqrt(x1.^2 + y1.^2);
rho2 = sqrt(x2.^2 + y2.^2);
phi1 = atan2(y1,x1);
phi2 = atan2(y2,x2);

W =  xi^(-m/2)/(1-xi)*exp(-(1+xi)/(1-xi)*(rho1.^2 + rho2.^2)/sigma^2) ...
    .*exp(-1j*m*(phi1 - phi2)) ...
    .*besseli(m,4*sqrt(xi)/(1-xi)*rho1.*rho2/sigma^2);
end